Subject: Not all windows recover upon resume (single application/terminal)

From: Daniel Michalik <[email-masked]>
Date: Tue, 28 Jan 2014 16:40:35 +0100

Package: nxagent
Version: 3.5.0.21

I run x2go with session type single application/terminal. I then start
additional applications on the server from the terminal. When resuming I
do not always get all application windows back on my client. Sometimes
the terminal is missing, sometimes one of the applications is missing, sometimes
all windows are present, sometimes none of them are. In any case the
session is running as can be seen from the status in the client as well
as with x2golistsessions on the server. 

Additional information/speculation: I feel this might be connected to
the way my session was suspended before. It is often suspended by brute
force, for example breaking of the network connection or an ungraceful
shutdown of the client machine.